#
# spec file for package panini
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           panini
Version:        0.74.0
Release:        1.4
Summary:        A tool for creating perspective views from panoramic and wide angle images
License:        GPL-3.0-only
Group:          Productivity/Graphics/Viewers
URL:            https://github.com/lazarus-pkgs/panini
Source:         https://github.com/lazarus-pkgs/panini/archive/v%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(zlib)
# Disable on Arm, since build fails
ExcludeArch:    aarch64 %{arm}

%description
Visual tool for creating perspective views from panoramic and wide angle photographs.

%prep
%setup -q

%build
# use qmake macro is present (fedora)
%{?qmake_qt5}%{?!qmake_qt5:qmake-qt5} PREFIX=%{buildroot}%{_prefix}/
make %{?_smp_mflags}

%install
%make_install

%files
%license LICENSE
%doc README.md USAGE.md
%{_bindir}/panini
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/metainfo/
%{_datadir}/metainfo/panini.appdata.xml

%changelog
* Wed Dec 20 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.74.0:
  * Use QErrorMessage instead of static QMessageBox in error handler (#10)
  * Fix C++17 does not allow register storage class specifier (#16)
* Tue Nov 16 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Disable on Arm, since build fails
* Tue Jan 15 2019 mvetter@suse.com
- Update to 0.73.0:
  * Add AppData file (@sanjayankur31 gh#pr#8)
  * Enable mipmapping and anisotropic filtering.
    Greatly enhances rendering quality, especially
    for high resolution images. (@danpla gh#pr#9)
* Wed Feb 14 2018 mvetter@suse.com
- Remove AppImage files for submitting to oS Factory
* Mon Dec 11 2017 mvetter@suse.com
- Fix yml file to make AppImage work
* Fri Dec  1 2017 mvetter@suse.com
- Use qmake macro if present. Fixes build for Fedora.
  Like this binary wont be stripped.
* Thu Nov 30 2017 mvetter@suse.com
- Add initial yml file to build AppImages
* Thu Nov 30 2017 mvetter@suse.com
- Inital package 0.72.0 for openSUSE
